Skip to content
Developer

EventScoreboardActivity

Events7 EndpointsEvent / EventScoreboardActivity

Returns a list of event scoreboard activity entries.

GET/api/event/scoreboard_activity

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
baseEventstring
activityTypestring
sidestringHOME, AWAY or null (phase changes, notes).
pointsstringPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minutestringMatch minute, as entered.
periodstringPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
playerNamestring
playerNumberstringJersey number.
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of EventScoreboardActivity objectsarray<EventScoreboardActivity>

Show fields (15)
  • base_event_idinteger
  • idinteger

    Primary key of the scoreboard activity. Internal ID.

  • activity_typestring

    Type of the activity, for example goal, penalty or time-out.

  • sidestring

    HOME, AWAY or null (phase changes, notes).

  • pointsinteger

    Points of a SCORE entry (1 for a goal, 1/2/3 in basketball).

  • minuteinteger

    Match minute, as entered.

  • periodinteger

    Period (half, quarter, set) the entry belongs to; set from the match state when empty.

  • player_namestring

    Name of the player the activity belongs to.

  • player_numberstring

    Jersey number.

  • duration_minutesinteger

    Suspension length in minutes (SUSPENSION, e.g. 2).

  • notestring

    Note on the activity.

  • created_by_namestring

    Who entered the entry (admin user or trainer), shown in the admin app only.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/scoreboard_activity \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "player_name": "Beispiel",
    "created_by_name": "Beispiel",
    "base_event_id": 42,
    "activity_type": "string",
    "side": "string",
    "points": 1,
    "minute": 1,
    "period": 1,
    "player_number": "string"
  }
]

Creates a new event scoreboard activity entry.

POST/api/event/scoreboard_activity

Request body application/json

  • dataEventScoreboardActivity2
    Show fields (10)
    • activity_typestring

      Type of the activity, for example goal, penalty or time-out.

    • sidestring

      HOME, AWAY or null (phase changes, notes).

    • pointsinteger

      Points of a SCORE entry (1 for a goal, 1/2/3 in basketball).

    • minuteinteger

      Match minute, as entered.

    • periodinteger

      Period (half, quarter, set) the entry belongs to; set from the match state when empty.

    • player_namestring

      Name of the player the activity belongs to.

    • player_numberstring

      Jersey number.

    • duration_minutesinteger

      Suspension length in minutes (SUSPENSION, e.g. 2).

    • notestring

      Note on the activity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new EventScoreboardActivityEventScoreboardActivity

Show fields (15)
  • base_event_idinteger
  • idinteger

    Primary key of the scoreboard activity. Internal ID.

  • activity_typestring

    Type of the activity, for example goal, penalty or time-out.

  • sidestring

    HOME, AWAY or null (phase changes, notes).

  • pointsinteger

    Points of a SCORE entry (1 for a goal, 1/2/3 in basketball).

  • minuteinteger

    Match minute, as entered.

  • periodinteger

    Period (half, quarter, set) the entry belongs to; set from the match state when empty.

  • player_namestring

    Name of the player the activity belongs to.

  • player_numberstring

    Jersey number.

  • duration_minutesinteger

    Suspension length in minutes (SUSPENSION, e.g. 2).

  • notestring

    Note on the activity.

  • created_by_namestring

    Who entered the entry (admin user or trainer), shown in the admin app only.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/scoreboard_activity \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "player_name": "Beispiel",
    "activity_type": "string",
    "side": "string",
    "points": 1,
    "minute": 1,
    "period": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "player_name": "Beispiel",
  "created_by_name": "Beispiel",
  "base_event_id": 42,
  "activity_type": "string",
  "side": "string",
  "points": 1,
  "minute": 1,
  "period": 1,
  "player_number": "string"
}

Returns a single event scoreboard activity entry.

GET/api/event/scoreboard_activity/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single EventScoreboardActivityEventScoreboardActivity

Show fields (15)
  • base_event_idinteger
  • idinteger

    Primary key of the scoreboard activity. Internal ID.

  • activity_typestring

    Type of the activity, for example goal, penalty or time-out.

  • sidestring

    HOME, AWAY or null (phase changes, notes).

  • pointsinteger

    Points of a SCORE entry (1 for a goal, 1/2/3 in basketball).

  • minuteinteger

    Match minute, as entered.

  • periodinteger

    Period (half, quarter, set) the entry belongs to; set from the match state when empty.

  • player_namestring

    Name of the player the activity belongs to.

  • player_numberstring

    Jersey number.

  • duration_minutesinteger

    Suspension length in minutes (SUSPENSION, e.g. 2).

  • notestring

    Note on the activity.

  • created_by_namestring

    Who entered the entry (admin user or trainer), shown in the admin app only.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/scoreboard_activity/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "player_name": "Beispiel",
  "created_by_name": "Beispiel",
  "base_event_id": 42,
  "activity_type": "string",
  "side": "string",
  "points": 1,
  "minute": 1,
  "period": 1,
  "player_number": "string"
}

Updates an existing event scoreboard activity entry.

PUT/api/event/scoreboard_activity/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataEventScoreboardActivity2
    Show fields (10)
    • activity_typestring

      Type of the activity, for example goal, penalty or time-out.

    • sidestring

      HOME, AWAY or null (phase changes, notes).

    • pointsinteger

      Points of a SCORE entry (1 for a goal, 1/2/3 in basketball).

    • minuteinteger

      Match minute, as entered.

    • periodinteger

      Period (half, quarter, set) the entry belongs to; set from the match state when empty.

    • player_namestring

      Name of the player the activity belongs to.

    • player_numberstring

      Jersey number.

    • duration_minutesinteger

      Suspension length in minutes (SUSPENSION, e.g. 2).

    • notestring

      Note on the activity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a EventScoreboardActivityEventScoreboardActivity

Show fields (15)
  • base_event_idinteger
  • idinteger

    Primary key of the scoreboard activity. Internal ID.

  • activity_typestring

    Type of the activity, for example goal, penalty or time-out.

  • sidestring

    HOME, AWAY or null (phase changes, notes).

  • pointsinteger

    Points of a SCORE entry (1 for a goal, 1/2/3 in basketball).

  • minuteinteger

    Match minute, as entered.

  • periodinteger

    Period (half, quarter, set) the entry belongs to; set from the match state when empty.

  • player_namestring

    Name of the player the activity belongs to.

  • player_numberstring

    Jersey number.

  • duration_minutesinteger

    Suspension length in minutes (SUSPENSION, e.g. 2).

  • notestring

    Note on the activity.

  • created_by_namestring

    Who entered the entry (admin user or trainer), shown in the admin app only.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/scoreboard_activity/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "player_name": "Beispiel",
    "activity_type": "string",
    "side": "string",
    "points": 1,
    "minute": 1,
    "period": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "player_name": "Beispiel",
  "created_by_name": "Beispiel",
  "base_event_id": 42,
  "activity_type": "string",
  "side": "string",
  "points": 1,
  "minute": 1,
  "period": 1,
  "player_number": "string"
}

Updates an existing event scoreboard activity entry.

PATCH/api/event/scoreboard_activity/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataEventScoreboardActivity2
    Show fields (10)
    • activity_typestring

      Type of the activity, for example goal, penalty or time-out.

    • sidestring

      HOME, AWAY or null (phase changes, notes).

    • pointsinteger

      Points of a SCORE entry (1 for a goal, 1/2/3 in basketball).

    • minuteinteger

      Match minute, as entered.

    • periodinteger

      Period (half, quarter, set) the entry belongs to; set from the match state when empty.

    • player_namestring

      Name of the player the activity belongs to.

    • player_numberstring

      Jersey number.

    • duration_minutesinteger

      Suspension length in minutes (SUSPENSION, e.g. 2).

    • notestring

      Note on the activity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a EventScoreboardActivityEventScoreboardActivity

Show fields (15)
  • base_event_idinteger
  • idinteger

    Primary key of the scoreboard activity. Internal ID.

  • activity_typestring

    Type of the activity, for example goal, penalty or time-out.

  • sidestring

    HOME, AWAY or null (phase changes, notes).

  • pointsinteger

    Points of a SCORE entry (1 for a goal, 1/2/3 in basketball).

  • minuteinteger

    Match minute, as entered.

  • periodinteger

    Period (half, quarter, set) the entry belongs to; set from the match state when empty.

  • player_namestring

    Name of the player the activity belongs to.

  • player_numberstring

    Jersey number.

  • duration_minutesinteger

    Suspension length in minutes (SUSPENSION, e.g. 2).

  • notestring

    Note on the activity.

  • created_by_namestring

    Who entered the entry (admin user or trainer), shown in the admin app only.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/scoreboard_activity/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "player_name": "Beispiel",
    "activity_type": "string",
    "side": "string",
    "points": 1,
    "minute": 1,
    "period": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "player_name": "Beispiel",
  "created_by_name": "Beispiel",
  "base_event_id": 42,
  "activity_type": "string",
  "side": "string",
  "points": 1,
  "minute": 1,
  "period": 1,
  "player_number": "string"
}

Removes an entry from the match (soft delete); the score is recalculated.

DELETE/api/event/scoreboard_activity/{identifier}

Path parameters

identifierrequiredstring

Responses

200Deletes a single EventScoreboardActivityEventScoreboardActivity

Show fields (15)
  • base_event_idinteger
  • idinteger

    Primary key of the scoreboard activity. Internal ID.

  • activity_typestring

    Type of the activity, for example goal, penalty or time-out.

  • sidestring

    HOME, AWAY or null (phase changes, notes).

  • pointsinteger

    Points of a SCORE entry (1 for a goal, 1/2/3 in basketball).

  • minuteinteger

    Match minute, as entered.

  • periodinteger

    Period (half, quarter, set) the entry belongs to; set from the match state when empty.

  • player_namestring

    Name of the player the activity belongs to.

  • player_numberstring

    Jersey number.

  • duration_minutesinteger

    Suspension length in minutes (SUSPENSION, e.g. 2).

  • notestring

    Note on the activity.

  • created_by_namestring

    Who entered the entry (admin user or trainer), shown in the admin app only.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/event/scoreboard_activity/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "player_name": "Beispiel",
  "created_by_name": "Beispiel",
  "base_event_id": 42,
  "activity_type": "string",
  "side": "string",
  "points": 1,
  "minute": 1,
  "period": 1,
  "player_number": "string"
}

The scoreboard of an event (state, entries, realtime topic), as in BaseEvent.scoreboard.

GET/api/event/base_event/{identifier}/scoreboard

Recalculates it with ?recalculate=1.

Path parameters

identifierrequiredstring

Responses

200Scoreboard

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_event/42/scoreboard \
  --header 'x-iw-jwt-token: <TOKEN>'